package com.cim.idm.wmspackage.durable.management.data;

import com.cim.idm.framework.orm.info.KeyInfo;
import com.cim.idm.framework.orm.info.PrimaryKey;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class DurableSpecKey extends FieldAccessor implements KeyInfo {
	@PrimaryKey
	private String	durableSpecName;
	@PrimaryKey
	private String  siteName;

	public DurableSpecKey()
	{
	}

	public DurableSpecKey(String siteName, String durableSpecName)
	{
		this.siteName = siteName;
		this.durableSpecName = durableSpecName;
	}
	
	public String getSiteName() {
		return siteName;
	}

	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}

	public String getDurableSpecName() {
		return durableSpecName;
	}

	public void setDurableSpecName(String durableSpecName) {
		this.durableSpecName = durableSpecName;
	}
	
}
